# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryGridPositions

Function

Returns information about a positions grid.

Syntax
`
#include <dx/dx.h>
`

Array DXQueryGridPositions(Array a, int *n, int *counts,
float *origin, float *deltas)

Functional Details

Returns `NULL` if `a` is not a regular grid of the sort constructed by `DXMakeGridPositions` (i.e. a Product Array containing n terms, each term being a `TYPE_FLOAT`, n-dimensional Regular Array). If `n` is not `NULL`, it returns the number of dimensions in the grid in `*n`. If `counts` is not `NULL`, it returns the number of points along each delta vector in the Array pointed to by `counts`. If `origin` is not `NULL`, it returns the `n`-dimensional origin in the Array pointed to by `origin`. If `deltas` is not `NULL`, it returns the `n` `n`-dimensional delta vectors in the Array pointed to by `deltas`.

This routine is commonly used to determine whether the "positions" components are fully regular and to provide an easy mechanism for accessing information that describes the regular-positions grid. The information returned by `DXQueryGridPositions` often makes it possible to process regular positions Arrays without explicit expansion.

Array handles provide a simple mechanism for accessing individual elements of a regular grid without expansion.

Return Value

Returns `a` (if `a` is a regular grid ) or `NULL` (if it is not) without setting an error code.

See Also

`DXCreateArrayHandle, DXMakeGridConnections, DXMakeGridConnectionsV, DXMakeGridPositions, DXMakeGridPositionsV, DXQueryGridConnections`

"Creating Positions and Connections Grids".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]